How to tell R where to look for libgcc

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

How to tell R where to look for libgcc

Mike Waldron
I have R-261 running on a Linux 2.6 system, which has gcc-4.1.2
installed. It was working fine until the sysadmin installed an older
version of gcc (3.4.6) which was required for an older app. The
gcc-3.4.6 install is under /usr/local/bin.

Now when a user invokes R, the error message
"/opt/r-261/lib/R/bin/exec/R: /usr/local/lib/libgcc_s.so.1: version
`GCC_4.0.0' not found (required by /opt/r-261/lib/R/bin/exec/R)" is
generated. R is finding the old gcc version of libgcc which is in
/usr/local/lib, instead of the newer one which is in lib. We've tried
setting LD_LIBRARY_PATH to /lib, but that has no effect.

Is there a way to force R to look in /lib for libgcc?

--
Mike Waldron

System Specialist
RENCI at University of North Carolina – Chapel Hill
CB #3455, ITS Manning, Rm 2509
Office: 919-962-9778

______________________________________________
[hidden email] mailing list
https://stat.ethz.ch/mailman/listinfo/r-devel